export type PlayerType = 'AI' | 'Human';
export type PlayerMoveSideType = 'left' | 'right' | 'both'; 
export type JointValueType = 0 | 1 | 2;

export const PlayerMoveSide: { [key: string]: PlayerMoveSideType } = {
  LEFT: 'left',
  RIGHT: 'right',
  BOTH: 'both'
};

export const JointValue: { [key: string]: JointValueType } = {
  LEFT: 0,
  RIGHT: 1,
  NONE: 2
};

export const ClientEvents = {
  CLIENT_EVENT: 'client:event',
  CLIENT_EVENT_WITH_ACK: 'client:event-with-ack'

};

export const ServerEvents = {
  SERVER_EVENT: 'server:game-event',
  SERVER_EVENT_WITH_ACK: 'server:game-event-ack'  
};

export const EventActions = {
  START_SESSION: 'client:start-session',
  PLAYER_READY: 'client:set-player-ready',
  TILE_ANIMATION_ENDED: 'client:tile-animation-ended'
};
