import { body } from 'express-validator';

const username =  body("username")
.trim()
.isLength({ min: 5 })
.escape()
.withMessage("Username min 8 characters.")
.matches(/^[a-zA-Z0-9\-_]+$/).withMessage("First name has non-alphanumeric characters.");

const password = body("password")
.notEmpty().withMessage('Password is required')
.matches(/^[a-zA-Z0-9!@#$%^&*()_+{}\[\]:;<>,.?~\-]+$/).withMessage('Password must contain at least one special character');

const email =  body('email')
.optional({values: 'falsy'})
.trim()
.isEmail();

export const Validations = {
  createUser: [username, password, email],
  updateUser: [username, email],
}
